import edgeFinder from './edge.js';
import firefoxFinder from './firefox.js';
export default (browserName, platform) => {
    const finder = {
        firefox: firefoxFinder,
        edge: edgeFinder
    }[browserName];
    const supportedPlatforms = Object.keys(finder);
    if (!supportedPlatforms.includes(platform)) {
        throw new Error(`Operating system ("${process.platform}") is not supported`);
    }
    return finder[platform];
};
