import type { Options } from '@wdio/types';
import { SUPPORTED_BROWSER } from './constants.js';
import type { Client, AttachOptions, WDIODevtoolsOptions as WDIODevtoolsOptionsExtension } from './types.js';
export declare const sessionMap: Map<any, any>;
export default class DevTools {
    static newSession(options: Options.WebDriver, modifier?: Function, userPrototype?: {}, customCommandWrapper?: Function): Promise<Client>;
    /**
     * Changes The instance session id and browser capabilities for the new session
     * directly into the passed in browser object
     *
     * @param   {object} instance  the object we get from a new browser session.
     * @returns {string}           the new session id of the browser
     */
    static reloadSession(instance: any): Promise<string>;
    /**
     * allows user to attach to existing sessions
     */
    static attachToSession(options: AttachOptions, modifier?: Function, userPrototype?: {}, customCommandWrapper?: Function): Promise<Client>;
}
export { SUPPORTED_BROWSER };
export * from './types.js';
declare global {
    namespace WebdriverIO {
        interface WDIODevtoolsOptions extends WDIODevtoolsOptionsExtension {
        }
    }
}
//# sourceMappingURL=index.d.ts.map